#!/bin/tcsh -f
###############################################################################
# (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################

#source setup.csh

foreach d ( "$CONDDBCONNECTIONSTRING" "$CONDDBCONNECTIONSTRING1" "$CONDDBCONNECTIONSTRING2" "$DAQCONNECTIONSTRING" )
    coolDropDB "$d"
end

# create the database for fillCondDB and testCondDB
python $DETCONDEXAMPLEROOT/python/copy_files_to_db.py -c "$CONDDBCONNECTIONSTRING" \
                                                      -s $DETCONDEXAMPLE_XMLDDDB/Conditions -d /Conditions
python $DETCONDEXAMPLEROOT/python/copy_files_to_db.py -c "$CONDDBCONNECTIONSTRING" \
                                                      -s $DETCONDEXAMPLE_XMLDDDB/DTD -d /DTD -k

# create the other 2 databases
$DETCONDEXAMPLEROOT/python/create_DBs.py
