/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
// ============================================================================
#ifndef LHCBMATH_LOMONT_H 
#define LHCBMATH_LOMONT_H 1
// ============================================================================
// Incldue files 
// ============================================================================
#include "GaudiKernel/Lomont.h"
// ============================================================================
namespace LHCb
{
  // ==========================================================================
  namespace Math 
  {
    // ========================================================================
    using Gaudi::Math::lomont_compare_float  ;
    using Gaudi::Math::lomont_compare_double ;
    using Gaudi::Math::next_float            ;
    using Gaudi::Math::next_double           ;
    // ========================================================================
  } //                                              end of namespace LHCb::Math
  // ==========================================================================
} //                                                      end of namespace LHCb
// ============================================================================
// The END 
// ============================================================================
#endif // LHCBMATH_LOMONT_H
// ============================================================================
