/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef LHCBMATH_SYMPOSDEFMATRIXINVERTER_H
#define LHCBMATH_SYMPOSDEFMATRIXINVERTER_H

/** @file
 * header file which used to contain a templated implementation of matrix
 * inversion routines for use with ROOT's SMatrix classes (symmetric case)
 *
 * the file is still there along with the comment below to give users a
 * way to find the new routines
 *
 * an improved version is available with ROOT, for an SMatrix, you can use
 * the SMatrix::InvertChol method, if you need something on a lower level,
 * there is ROOT::Math::CholeskyDecomp
 *
 * @author Manuel Schiller
 * @date Aug 29 2008
 */

#endif // LHCBMATH_SYMPOSDEFMATRIXINVERTER_H

// vim:sw=2:tw=78:ft=cpp
