/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
/** \mainpage notitle
 *  \anchor lhcbdoxygenmain
 *
 * This is the code reference manual for the %LHCb core classes (See
 * <a href="requirements-source.html"><b>LHCb constituent packages</b></a>).
 * These include:
 * \li common interfaces
 * \li common base classes and tools
 * \li event model classes
 * \li detector description
 * \li associators to MonteCarlo truth
 * \li tools to encode and decode the DAQ buffers

 * <p>See also:
 * \li \ref gaudidoxygenmain "Gaudi documentation (Framework packages)"
 * \li \ref externaldocs     "Related external libraries"
 * <hr>
 * \htmlinclude new_release.notes
 * <hr>
 *
 * <b>Additional information:</b>
 * \li <a href="../release.notes"><b>Release notes history</b></a>
 * \li <a href=" http://cern.ch/lhcb-release-area/DOC/lhcb/"><b>LHCb project Web pages</b></a><p>
 
 */
