/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef EVENT_MUONBANKVERSION_H
#define EVENT_MUONBANKVERSION_H 1

// Include files

/** @file MuonBankVersion.h Event/MuonBankVersion.h
 *  Version numbers of Muon RawBuffer bank encoding
 *
 *  @author Alessia Satta
 *  @date   2007-11-12
 */
namespace MuonBankVersion
{
  enum versions { DC04=0, DC06=1, v1=2 };
}
#endif // EVENT_MUONBANKVERSION_H

