/*****************************************************************************\
* (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      *
*                                                                             *
* This software is distributed under the terms of the GNU General Public      *
* Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   *
*                                                                             *
* In applying this licence, CERN does not waive the privileges and immunities *
* granted to it by virtue of its status as an Intergovernmental Organization  *
* or submit itself to any jurisdiction.                                       *
\*****************************************************************************/
#ifndef EVENT_MUONPPEVENTINFO_H 
#define EVENT_MUONPPEVENTINFO_H 1

// Include files

/** @class MuonPPEventInfo MuonPPEventInfo.h Event/MuonPPEventInfo.h
 *  
 *
 *  @author 
 *  @date   2008-01-07
 */
class MuonPPEventInfo {
public: 
  /// Standard constructor
  MuonPPEventInfo( ){
    for (int i=0;i<8;i++)
    {      
      m_data[i]=0;
    }
    
  }; 

  virtual ~MuonPPEventInfo( ){}; ///< Destructor
  void setWord(unsigned int i, unsigned int word)
  {
    m_data[i]=word;
    
  };
  
  unsigned int getBCN()
  {
    return m_data[0]&0x0FFF;
    
  };
  
  unsigned int getDetID()
  {
    return m_data[0]&0xF000;
    
  }
   unsigned int getL0EvtID()
  {
    return m_data[1];
    
  };
  

protected:

private:
  unsigned int m_data[8];
  
};
#endif // EVENT_MUONPPEVENTINFO_H
