

2019-03-07 LHCb v40r0p1
===

This version uses Gaudi v27r0 and LCG_83 with ROOT 6.06.00.

This version is released on `stripping21-patches` branch and is intended for new incremental strippings in the S21r{0,1}pX series and their maintenance

Built relative to LHCb v40r0, with the following changes:

### New features

- Add Gitlab-CI job to check copyright, !1767 (@cattanem)   
  (cherry picked from commit 6ba618b79548034de02312a125c3030e07bb96be)

- Add copyright statement, !1766 (@cattanem)   

- Backport of Git CondDB, !1760 (@cattanem)
  Cherry-picked from !1256   

- Add STLExtensions and TaggedBool headers to stripping21-patches, !1761 (@cvazquez)
  

### Enhancements

- Backport changes to enable trapping SIGUSR1 as success (@clemenci), !1753   
  Cherry-picked from !891 in `stripping24-patches`


### Bug fixes

- Fix bug in MCParticle.xml (@ibelyaev), !1754   
  Backport of lhcb/LHCb!430 :  weird "quasi copy-constructor"  does not copy m_flags field.  


### Code modernisations and cleanups

- Remove CMT support, !1768, !1778 (@cattanem)   

- Remove CVS keywords, !1765, !1773 (@cattanem)   
    
- Hide Boost compilation warnings, !1757, !1763 (@cattanem)   

- Remove unnecessary disclaimers from file documentation blocks, !1759 (@cattanem)   

- Update HltDAQ to version v4r25p1 from Phys/stripping21-patches, !1758 (@cattanem)   
  Update to version that was used for `S21r{0,1}p1`, from `Phys/stripping21-patches`  

- Fix for LCG dictionary warning due to Particle range (@jonrob), !1755 (@cattanem)   
  Cherry picked from lhcb/LHCb!1206

- Fix warnings about redefined _XOPEN_SOURCE and _POSIX_C_SOURCE macros, !1752 (@cattanem)   
  Cherry-picked from lhcb/LHCb!1267 on `sim09-patches`

- Support for latest CMake (@clemenci), !1751 (@cattanem)   
  Cherry-picked from lhcb/LHCb!1338 on `2016-patches`, including also lhcb/LHCb!1355 and lhcb/LHCb!1726


### Changes to tests

- Update tests that were using MC09 DataType to use 2012 instead, !1764 (@cattanem)   

- Remove obsolete SVN tests, !1756 (@cattanem)   
