#!/usr/bin/env python
###############################################################################
# (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
# =============================================================================
## @file CaloUtils/Utils.py
#  Helper module to perform some decorations for Calorimeter objects
#  @author Vanya BELYAEV Ivan.Belyaev@nikhef.nl
#  @date   2009-09-28
# =============================================================================
"""
Helper module to perfom some decorations for Calorimeter objects

"""
# =============================================================================
__author__  = "Vanya BELYAEV Ivan.Belyaev@nikhef.nl"
__version__ = "1.1"
# =============================================================================
__all__     = () 
# =============================================================================

import CaloUtils.CellID 



if '__main__' == __name__ :
    print __doc__ , __author__ , __version__

# =============================================================================
# The END 
# =============================================================================
