2025-01-10 LHCb v40r0p3
===

This version uses
Gaudi [v27r0](../../../../Gaudi/-/tags/v27r0) and
LCG [83](http://lcginfo.cern.ch/release/83/) with ROOT 6.06.00.

This version is released on `stripping21-patches` branch. It is intended for 2011 and 2012 pp incremental restrippings (S21r0p*, S21r1p*) and patches to pp incremental strippings in 2011 and 2012 simulation workflows. Builds with gcc49 on slc6
Built relative to LHCb [v40r0p2](../-/tags/v40r0p2), with the following changes:

### New features ~"new feature"

- ~Persistency ~Simulation | Add setting for configuring output of PGUN simulation (@adavis), !2403 (@cattanem) :star:


### Fixes ~"bug fix" ~workaround

- ~"Event model" | GenCountersFSR: bug fix: fix typos in DsminusGen and DsminusAcc names, !3140 (@cattanem) :star:
- ~Conditions | Make sure Git resources are released before git_libgit2_shutdown (@clemenci), !4041 (@cattanem)
- ~Build | Get libgit2 sources from LHCb repository (@clemenci), !2416 (@cattanem)
- ~Build | Avoid calling gaudi_install_headers twice, !2359 (@cattanem)
- Fix potential usage of a null pointer, !4734 (@cattanem)
- Add code to reset m_cBad and m_tBad for each event, !4492 (@cattanem)
- Fix name collisions in XMLSummaryKernel tests, !4091 (@cattanem)
- Missing LoKi functor fix for stripping21-patches, !3560 (@masmith)
- Fix wrong LoKiMC functors, !3558 (@masmith)
- Randomise default File Catalog name, !3018 (@cattanem)
- Fix issue with LHCbApp().OutputLevel, !1923 (@cattanem)


### Enhancements ~enhancement

- Update GenFSR class and related functionalities to more recent version, !4853 (@cattanem) :star:


### Code cleanups and changes to tests ~modernisation ~cleanup ~testing

- ~Configuration | Make comparison in warning printout more robust, !3026 (@cattanem)
- ~Configuration | Remove Upgrade configuration remnants, !2471 (@cattanem)
- ~Tracking | Remove upgrade detectors, !2430 (@cattanem)
- ~Functors | Remove slow Loki import (@chasse), !2598 (@cattanem)
- ~Build | Remove ifdefs and link options for OSX and ICC, not supported on this branch, !2899 (@cattanem)
- ~Build | Fix CMake 3.17 warning (@clemenci), !2793 (@cattanem)
- ~Build | Remove WIN32 dead code, !2490 (@cattanem)
- ~Build | Replace LoKiCore (v11r29) with version from DaVinci/stripping21-patches (v11r30), !2433 (@cattanem)
- ~Build | Replace EventPacker (v5r9) with version from DaVinci/stripping21-patches (v5r9p1), !2432 (@cattanem)
- Silence git init for Git >=2.30, !4222 (@cattanem)
- Move away from using CERN-SWTEST, !4024 (@cattanem)
- Remove test-badbanks test, !3495 (@cattanem)
- Remove CondDBBrowser, !3203 (@cattanem)
- Update release notes template to latest version, !2900 (@cattanem)
- Use Git CondDB for DQFLAGs scan, !2859 (@clemenci) [LHCBPS-1754]
- Remove obsolete configurables test, !2777 (@cattanem) [#100]
- Suppress Boost compilation warnings, !2351 (@cattanem)
- Replace print statement with message logging, !2285 (@cattanem)
- Remove timestamp from GOD output (@rmatev), !1952 (@cattanem)


### Documentation ~Documentation

- Update release notes template to latest version, !2900 (@cattanem)

