###############################################################################
# (c) Copyright 2000-2019 CERN for the benefit of the LHCb Collaboration      #
#                                                                             #
# This software is distributed under the terms of the GNU General Public      #
# Licence version 3 (GPL Version 3), copied verbatim in the file "COPYING".   #
#                                                                             #
# In applying this licence, CERN does not waive the privileges and immunities #
# granted to it by virtue of its status as an Intergovernmental Organization  #
# or submit itself to any jurisdiction.                                       #
###############################################################################
set(CMAKE_MODULE_PATH .. .)

include(GaudiToolchainMacros)

init()
find_projects(projects tools data/toolchain/NOEXT/NOEXT_v1r0/CMakeLists.txt)

include(TestMacros)

assert_strequal(projects "NOEXT;BASE")

get_filename_component(base_dir data/toolchain ABSOLUTE)
assert_strequal(BASE_ROOT_DIR "${base_dir}/BASE/BASE_v1r0")
assert_strequal(NOEXT_ROOT_DIR "${base_dir}/NOEXT/NOEXT_v1r0")

set_paths_from_projects(${projects})

assert(base_toolchain_called)

assert_strequal(entries "BASE")
